|  | Home · All Classes · Modules

# QDir.SortFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, SortFlags f)
- __init__ (self)

### Special Methods

- SortFlags __and__ (self, int mask)
- bool __eq__ (self, SortFlags f)
- SortFlags __iand__ (self, int mask)
- int __int__ (self)
- SortFlags __invert__ (self)
- SortFlags __ior__ (self, SortFlags f)
- SortFlags __ixor__ (self, SortFlags f)
- bool __ne__ (self, SortFlags f)
- int __nonzero__ (self)
- SortFlags __or__ (self, SortFlags f)
- SortFlags __xor__ (self, SortFlags f)

## Detailed Description

SortFlag may be used whenever SortFlags is expected.

## Method Documentation

### SortFlags.__init__ (self, SortFlags f)

### SortFlags.__init__ (self)

### SortFlags SortFlags.__and__ (self, int mask)

### bool SortFlags.__eq__ (self, SortFlags f)

### SortFlags SortFlags.__iand__ (self, int mask)

### int SortFlags.__int__ (self)

### SortFlags SortFlags.__invert__ (self)

### SortFlags SortFlags.__ior__ (self, SortFlags f)

### SortFlags SortFlags.__ixor__ (self, SortFlags f)

### bool SortFlags.__ne__ (self, SortFlags f)

### int SortFlags.__nonzero__ (self)

### SortFlags SortFlags.__or__ (self, SortFlags f)

### SortFlags SortFlags.__xor__ (self, SortFlags f)